Support for OpenStack Swift is brand new in Transmit 5.1.

With this addition, Transmit now supports all three OpenStack auth versions, (v1, v2, and v3) as well as multiple tenants.

If the authorization version is not specified as part of the remote path, Transmit 5.1 will default to using v2.

How do I specify my tenant during the Server setup process?

If your Swift instance supports multiple tenants, you can specify which one to connect to in the User Name field. First, add the TENANT, followed by a :, then the USERNAME for your account, like so:

    TENANT:USERNAME

Last updated March 2, 2018